User:Ktdreyer/Gitorious

From FedoraProject

Jump to: navigation, search

This document outlines the steps to get Gitorious into Fedora and EPEL.

High Level Steps and Issues

  1. Get all Gitorious' dependencies into Fedora.
  2. Get Gitorious into Fedora.
    • Bundled libraries: Gitorious bundles several things, including Rails. Upstream bug for Rails
    • Bundler issues: If we use different Gem versions than upstream, Bundler wants to write to Gemfile and Gemfile.lock. We must patch Gemfile
    • Init scripts: Create equivalent systemd unit files for Fedora & RHEL 7.
    • Ruby version: Upstream master works with Ruby 1.8; verify Ruby 1.9.x compatability. Same for newer rails.

EPEL

  1. Get all Gitorious's dependencies into EPEL.
    • Rails. I don't have experience packaging Rails, and there's been questions about which version to put into EPEL.
    • Various Rubygems must be branched for EPEL.
    • mod_passenger. See "Fedora" above.
  2. Get Gitorious into EPEL.
    • Ruby 1.8 may make things easier, since this is what upstream uses.

Dependencies

  • Fail - The package is missing
  • Pass - The package is present and versions differ from upstream
  • Pass - The package is present and versions match upstream
Gem Upstream Gemfile Fedora 17 EPEL 6
rake 0.8.7
Warning warn
0.9.2.2
Pass pass
0.8.7
SystemTimer 1.2.3 (gone from Ruby?)
Fail fail
activesupport 2.3.8
Warning warn
3.0.11
Fail fail
activemessaging 0.7.1 (gone from rails?)
Fail fail
activerecord 2.3.8
Warning warn
3.0.11
Fail fail
acts-as-taggable-on 2.0.6 not in Fedora
Fail fail
addressable 2.2.6
Pass pass
2.2.6
Fail fail
builder 3.0.0
Warning warn
2.1.2
Fail fail
json 1.5.4
Warning warn
1.6.5
Warning warn
1.4.6
capillary 1.0.0
Fail fail
Fail fail
mime-types 1.16
Pass pass
1.16
Pass pass
1.16
nokogiri 1.5.0
Warning warn
1.5.5
Warning warn
1.4.3.1
rack 1.0.1
Warning warn
1.4.0
Warning warn
1.1.0
rack-test 0.6.1
Warning warn
0.6.0
Warning warn
0.5.4
ffi 1.0.9
Pass pass
1.0.9
Fail fail
childprocess 0.2.1
Warning warn
0.2.0
Fail fail
json_pure 1.5.0
Warning warn
1.6.3
Warning warn
1.6.3
rubyzip 0.9.4
Pass pass
0.9.4
Fail fail
selenium-webdriver 2.4.0
Warning warn
2.3.2
Fail fail
xpath 0.1.4
Pass pass
0.1.4
Fail fail
capybara 1.0.1
Warning warn
1.1.2
Fail fail
chronic 0.3.0
Warning warn
0.6.6
Fail fail
cocaine 0.2.1
Fail fail
Fail fail
daemons 1.1.0
Warning warn
1.0.10
Warning warn
1.0.10
diff-lcs 1.1.2
Pass pass
1.1.2
Pass pass
1.1.2
gemcutter 0.6.1
Warning warn
0.3.0
Fail fail
rubyforge 2.0.4
Pass pass
2.0.4
Fail fail
echoe 4.3.1
Warning warn
4.3.1
Fail fail
eventmachine 0.12.10
Pass pass
0.12.10
Pass pass
0.12.10
exception_notification 1.0.20090728
Fail fail
Fail fail
factory_girl 1.3.3
Warning warn
2.3.2
Fail fail
thor 0.14.6
Pass pass
0.14.6
Fail fail
foreman 0.41.0
Fail fail
Fail fail
geoip 0.8.9
Fail fail
Fail fail
hodel_3000_compliant_logger 0.1.0
Fail fail
Fail fail
hoe 2.8.0
Warning warn
2.12.5
Fail fail
launchy 2.0.5
Warning warn
0.4.0
Warning warn
0.3.7
mocha 0.9.10
Warning warn
0.11.0
Warning warn
0.9.8
mysql 2.8.1
Warning warn
2.8.2?
Warning warn
2.8.2?
oauth 0.4.4
Fail fail
Fail fail
paperclip 2.4.5
Fail fail
Fail fail
proxymachine 1.2.4
Fail fail
Fail fail
rdiscount 1.3.1.1
Fail fail
Fail fail
redis 2.2.0
Fail fail
Fail fail
redis-namespace 0.7.0
Fail fail
Fail fail
sinatra 1.0
Fail fail
Fail fail